Subject: Centennial Farm
From: "Cindy Lutz" <[email-masked]>
To: <[email-masked]>
Date: Thu, 19 Aug 2004 19:04:35 -0400

Dear Ms. Finan:

     I am so sorry - but I think I may not have registered for the Centennial Farm recognition ceremonies that you have scheduled for August 21st.   Is it still possible to attend?  My mother-in-law is really looking forward to this, and I just can't remember if I called or not.  We filled out the survey for the Huron County Press, and then we went on vacation and when I saw the special edition about the centennial farms, I got a feeling that I may have forgotten to also call you.  
     Please call me on Friday as soon as you can to let me know if we can still participate.  I will also need directions to where we need to be.  I can be reached on my cell phone 989-551-0132 tomorrow at any time.
     Again, I am so sorry if I have caused you any inconvenience by my forgetfulness.  Thank you for your efforts in recognizing and honoring the farming industry.  

Sincerely,

William and Cynthia Lutz
11555 Beck Rd.
Sebewaing,  MI 48759
989-551-0132
[email-masked]